Debian Bug report logs - #613491
RFP: gdm -- Previous generation GNOME Display Manager

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Craig Sanders <cas@taz.net.au>

Date: Tue, 15 Feb 2011 07:54:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Tue, 15 Feb 2011 07:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
New Bug report received and forwarded. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 15 Feb 2011 07:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: gdm -- ROM; obsolete; superseded by gdm3
Date: Tue, 15 Feb 2011 08:51:37 +0100
Package: ftp.debian.org
Severity: normal

Hi,

please remove gdm from the unstable suite. It has been replaced by gdm3. 
It will remain maintained for squeeze since there is no transition path, 
but we don’t want it for wheezy.

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Wed, 16 Feb 2011 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 16 Feb 2011 16:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 613491@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Josselin Mouette <joss@debian.org>, 613491@bugs.debian.org
Subject: Re: Bug#613491: RM: gdm -- ROM; obsolete; superseded by gdm3
Date: Wed, 16 Feb 2011 17:00:14 +0100
tags 613491 + moreinfo
thanks

Hi!

* Josselin Mouette <joss@debian.org> [110215 08:51]:
> please remove gdm from the unstable suite. It has been replaced by gdm3. 
> It will remain maintained for squeeze since there is no transition path, 
> but we don???t want it for wheezy.

Can't do, that would break some packages:

# Broken Depends:
arc-colors: arc-brave
            arc-dust
            arc-human
            arc-illustrious
            arc-noble
            arc-wine
            arc-wise
gdm-themes: gdm-themes

# Broken Build-Depends:
xscreensaver: gdm


Are there at least bugs for these packages?


Best Regards,
  Alexander




Added tag(s) moreinfo. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Wed, 16 Feb 2011 16:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Wed, 16 Feb 2011 16:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Wed, 16 Feb 2011 16:15:13 GMT) Full text and rfc822 format available.

Message #17 received at 613491@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 613491@bugs.debian.org
Cc: GNOME-Colors Packagers <gnome-colors-packagers@lists.launchpad.net>
Subject: Re: Bug#613491: RM: gdm -- ROM; obsolete; superseded by gdm3
Date: Wed, 16 Feb 2011 17:12:45 +0100
Le mercredi 16 février 2011 à 17:00 +0100, Alexander Reichle-Schmehl a
écrit : 
> * Josselin Mouette <joss@debian.org> [110215 08:51]:
> > please remove gdm from the unstable suite. It has been replaced by gdm3. 
> > It will remain maintained for squeeze since there is no transition path, 
> > but we don???t want it for wheezy.
> 
> Can't do, that would break some packages:
> 
> # Broken Depends:
> arc-colors: arc-brave
>             arc-dust
>             arc-human
>             arc-illustrious
>             arc-noble
>             arc-wine
>             arc-wise

I don’t know what to do with them. I’m CCing the maintainers.

> gdm-themes: gdm-themes

Filed another removal bug for that one.

> # Broken Build-Depends:
> xscreensaver: gdm

I don’t know why it is here, but gdm looks like a *very* bad thing to
add in Build-Depends. Should I file a bug for it?

Thanks,
-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 19 Feb 2011 18:31:55 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Sat, 19 Feb 2011 18:31:55 GMT) Full text and rfc822 format available.

Message #22 received at 613491-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 613491-close@bugs.debian.org
Cc: gdm@packages.debian.org, gdm@packages.qa.debian.org
Subject: Bug#613491: Removed package(s) from unstable
Date: Sat, 19 Feb 2011 18:09:17 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

       gdm |  2.20.11-4 | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, mips, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
ROM; obsolete; superseded by gdm3
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613491@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/613491

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Sun, 13 Mar 2011 07:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 Mar 2011 07:45:03 GMT) Full text and rfc822 format available.

Message #27 received at 613491@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 613491@bugs.debian.org
Cc: control@bugs.debian.org
Subject: removal of gdm was a huge mistake
Date: Sun, 13 Mar 2011 18:34:49 +1100
reopen 613491
thanks

i only noticed a few days ago when i built a new debian desktop system
that gdm is no longer available, in favour of gdm3.

gdm3 is NOT an adequate replacement for gdm. useful features that are
readily apparent and easily configurable in gdm are either missing
completely or hidden in gdm3.

compare, for instance, the configuration options in the
System->Administration->Login Window dialog for gdm vs the nearly
useless equivalent dialog for gdm3.

even figuring out something simple, like how to disable the
privacy-infringing & security-reducing user list(*) on the
login screen is beyond the average user that the cretinous
over-simplification trend of gnome "improvements" is supposed
to cater for.  How many of them are going to figure out that
you need to edit /etc/gdm3/greeter.gconf-defaults and add
"/apps/gdm/simple-greeter/disable_user_list true"?

(*) the fact that Apple does it with Mac OS X and Microsoft does it
with Windows does not make it a good idea or worthy of copying as the
default. it takes away one of the things (the username) that someone
needs to know in order to compromise an account on the system, so
two-factor auth is now reduced to one-factor.


and more complicated options like setting a timed or automatic login
(useful e.g. for setting up an "appliance" like a mythtv frontend, to
have it auto-login to the mythtv user) will be essentially impossible
for the avg user.

and HTF do you change the background image and "theme" for the login
screen? i can't figure it out, nor do i want to have to spend hours
hunting for a hint in the woefully incomplete and generally abysmal
quality gnome documentation.

all of these options and more are easily available and *OBVIOUS* in the
old gdm Login Window preferences dialog. and completely missing from the
gdm3 dialog.  WTF?

upgrades are supposed to bring *improvements*, not massive regressions.


OK, the actual issues here are Gnome's fault but prematurely removing
gdm from debian is debian's fault.

(and yes, i am annoyed...but my annoyance is with the Gnome devs who
seem determined to take what WAS shaping up to be a good desktop
environment and turning it into a steaming turd. debian can and should
be making more of an effort to insulate users from dumb upstream
decisions)

craig

-- 
craig sanders <cas@taz.net.au>




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Mar 2011 07:45:07 GMT) Full text and rfc822 format available.

Reply sent to Emilio Pozuelo Monfort <pochu@debian.org>:
You have taken responsibility. (Sun, 13 Mar 2011 14:57:17 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 14:57:17 GMT) Full text and rfc822 format available.

Message #34 received at 613491-done@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@debian.org>
To: Craig Sanders <cas@taz.net.au>, 613491-done@bugs.debian.org, Josselin Mouette <joss@debian.org>
Subject: Re: removal of gdm was a huge mistake
Date: Sun, 13 Mar 2011 14:54:12 +0000
On -10/01/37 20:59, Craig Sanders wrote:
> reopen 613491
> thanks

Reopening RM bugs is pointless... we can't remove a package twice :)

> gdm3 is NOT an adequate replacement for gdm. useful features that are
> readily apparent and easily configurable in gdm are either missing
> completely or hidden in gdm3.

File bugs (ideally upstream).

> compare, for instance, the configuration options in the
> System->Administration->Login Window dialog for gdm vs the nearly
> useless equivalent dialog for gdm3.

Ditto.

> OK, the actual issues here are Gnome's fault but prematurely removing
> gdm from debian is debian's fault.

No, it's not.

You have three options. Fork gdm, become upstream for it, and get it packaged.
Help improve gdm3. Or switch to something else. Anything else is loosing
everyone's time.

Cheers,
Emilio




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Sun, 13 Mar 2011 21:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 Mar 2011 21:33:07 GMT) Full text and rfc822 format available.

Message #39 received at 613491@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 613491@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: removal of gdm was a huge mistake
Date: Mon, 14 Mar 2011 08:31:55 +1100
reopen 613491
thanks

On Sun, Mar 13, 2011 at 02:54:12PM +0000, Emilio Pozuelo Monfort wrote:
> On -10/01/37 20:59, Craig Sanders wrote:
> > reopen 613491
> > thanks
> 
> Reopening RM bugs is pointless... we can't remove a package twice :)

the point is that it shouldn't have been removed.

undo, rather than redo.

> > gdm3 is NOT an adequate replacement for gdm. useful features that are
> > readily apparent and easily configurable in gdm are either missing
> > completely or hidden in gdm3.
> 
> File bugs (ideally upstream).

pointless. gnome's obsession with over-simplification of software is
exceeded only by their refusal to see any other POV, their willingness
to censor/delete bug reports that point out the problems caused by their
short-sighted decisions and ban from their bugzilla people who submit
them.

> > OK, the actual issues here are Gnome's fault but prematurely removing
> > gdm from debian is debian's fault.
> 
> No, it's not.

yes it is. was there any actual need to remove gdm? it has existed in
the debian repository alongside gdm3 for ages. it doesn't conflict with
the current gnome libs (it's still installed and working on systems
built before gdm was removed).

> You have three options. Fork gdm, become upstream for it, and get it packaged.

why should that be necessary?  gdmm still works, there was no need to remove it.

> Help improve gdm3. 

impossible.  would conflict with the gnome obsession with over-simplification
and cretinisation of software. 

> Or switch to something else. 

what else?

kdm?  i don't want to have all the kde libraries running as well as the gnome
libraries just to have a login screen.

xdm, or wdm? ancient - are they even maintained upstream any more? do
they offer a choice of window manager and/or session manager at login
time?

slim? that's even more minimalist than gdm3.

so your suggestion to work around the fact that gdm3 is an inadequate replacement
for gdm is to use some other inadequate replacement for gdm.  


i prefer option four: submit a bug report to debian saying that the removal of
gdm from debian was a mistake and should be reversed.


craig

-- 
craig sanders <cas@taz.net.au>




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Mar 2011 21:33:10 GMT) Full text and rfc822 format available.

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Sun, 13 Mar 2011 22:03:10 GMT) Full text and rfc822 format available.

Notification sent to Josselin Mouette <joss@debian.org>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 22:03:10 GMT) Full text and rfc822 format available.

Message #46 received at 613491-done@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Craig Sanders <cas@taz.net.au>, 613491-done@bugs.debian.org
Subject: Re: Bug#613491: removal of gdm was a huge mistake
Date: Mon, 14 Mar 2011 00:12:41 +0100
Hi!

* Craig Sanders <cas@taz.net.au> [110313 22:31]:
> reopen 613491
[..]

Please stop playing bts ping pong.  It has been made clear, that the
current maintainers don't want to maintain it.  If you want, it back,
take over maintainance by the usual procedure.  But reopening this bug
won't solve a thing.


Best Regards,
  Alexander, ftp-assistant




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Sun, 13 Mar 2011 22:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 Mar 2011 22:15:02 GMT) Full text and rfc822 format available.

Message #51 received at 613491@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Craig Sanders <cas@taz.net.au>, 613491@bugs.debian.org
Subject: Re: Bug#613491: removal of gdm was a huge mistake
Date: Sun, 13 Mar 2011 23:03:46 +0100
On 03/13/2011 10:31 PM, Craig Sanders wrote:
> reopen 613491
> thanks
> 
> On Sun, Mar 13, 2011 at 02:54:12PM +0000, Emilio Pozuelo Monfort wrote:
>> On -10/01/37 20:59, Craig Sanders wrote:
>>> reopen 613491
>>> thanks
>>
>> Reopening RM bugs is pointless... we can't remove a package twice :)
> 
> the point is that it shouldn't have been removed.
> 
> undo, rather than redo.

removals are not undone, though you're free to upload a new revision as
already indicated.

>>> gdm3 is NOT an adequate replacement for gdm. useful features that are
>>> readily apparent and easily configurable in gdm are either missing
>>> completely or hidden in gdm3.
>>
>> File bugs (ideally upstream).
> 
> pointless. gnome's obsession with over-simplification of software is
> exceeded only by their refusal to see any other POV, their willingness
> to censor/delete bug reports that point out the problems caused by their
> short-sighted decisions and ban from their bugzilla people who submit
> them.

So why do you expect its packagers to fork or take over upstream of gdm?

>>> OK, the actual issues here are Gnome's fault but prematurely removing
>>> gdm from debian is debian's fault.
>>
>> No, it's not.
> 
> yes it is. was there any actual need to remove gdm? it has existed in
> the debian repository alongside gdm3 for ages. it doesn't conflict with
> the current gnome libs (it's still installed and working on systems
> built before gdm was removed).

There is no upstream anymore...

>> You have three options. Fork gdm, become upstream for it, and get it packaged.
> 
> why should that be necessary?  gdmm still works, there was no need to remove it.

Security support as a start.

>> Help improve gdm3. 
> 
> impossible.  would conflict with the gnome obsession with over-simplification
> and cretinisation of software. 
> 
>> Or switch to something else. 
> 
> what else?
> 
> kdm?  i don't want to have all the kde libraries running as well as the gnome
> libraries just to have a login screen.
> 
> xdm, or wdm? ancient - are they even maintained upstream any more? do
> they offer a choice of window manager and/or session manager at login
> time?
> 
> slim? that's even more minimalist than gdm3.
> 
> so your suggestion to work around the fact that gdm3 is an inadequate replacement
> for gdm is to use some other inadequate replacement for gdm.  

Maybe they are willing to improve to the point where gdm was?

> i prefer option four: submit a bug report to debian saying that the removal of
> gdm from debian was a mistake and should be reversed.

Which is pointless unless you find someone that wants to take over upstream.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Sun, 13 Mar 2011 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 Mar 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #56 received at 613491@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 613491@bugs.debian.org
Subject: Re: Bug#613491: removal of gdm was a huge mistake
Date: Mon, 14 Mar 2011 09:41:30 +1100
On Sun, Mar 13, 2011 at 11:03:46PM +0100, Luk Claes wrote:
> So why do you expect its packagers to fork or take over upstream of
> gdm?

i'm not.  i'm merely expecting them not to remove a useful package for no
good reason.
 

> >>> OK, the actual issues here are Gnome's fault but prematurely removing
> >>> gdm from debian is debian's fault.
> >>
> >> No, it's not.
> > 
> > yes it is. was there any actual need to remove gdm? it has existed in
> > the debian repository alongside gdm3 for ages. it doesn't conflict with
> > the current gnome libs (it's still installed and working on systems
> > built before gdm was removed).
> 
> There is no upstream anymore...

'there is no upstream' is not a reasonable answer to 'was there any
actual need to remove gdm?'.

there are hundreds of packages in debian without an upstream.


> > i prefer option four: submit a bug report to debian saying that the
> > removal of gdm from debian was a mistake and should be reversed.
>
> Which is pointless unless you find someone that wants to take over
> upstream.

how about just leave the damn gdm package in debian until and unless it
actually causes a problem that can't easily be worked around?

right now, the current gdm 2.20.11-4 is causing no problem at all.  it
doesn't conflict with any other gnome stuff.

so why the big hurry to remove it?

craig

-- 
craig sanders <cas@taz.net.au>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Sun, 13 Mar 2011 22:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 13 Mar 2011 22:51:10 GMT) Full text and rfc822 format available.

Message #61 received at 613491@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Craig Sanders <cas@taz.net.au>
Cc: 613491@bugs.debian.org
Subject: Re: removal of gdm was a huge mistake
Date: Sun, 13 Mar 2011 23:47:48 +0100
[Message part 1 (text/plain, inline)]
On dim., 2011-03-13 at 18:34 +1100, Craig Sanders wrote: 
> reopen 613491

First of all, note that the next time you do that, I will request
blacklisting for your address on the BTS email gateway.

> even figuring out something simple, like how to disable the
> privacy-infringing & security-reducing user list(*) on the
> login screen is beyond the average user that the cretinous
> over-simplification trend of gnome "improvements" is supposed
> to cater for.  How many of them are going to figure out that
> you need to edit /etc/gdm3/greeter.gconf-defaults and add
> "/apps/gdm/simple-greeter/disable_user_list true"?

Apparently you found out.

Feel free to provide documentation improvements to the gdm3 package.
However all the keys you complain about are already listed in the
configuration file, for which there is a pointer in README.Debian.

> (*) the fact that Apple does it with Mac OS X and Microsoft does it
> with Windows does not make it a good idea or worthy of copying as the
> default. it takes away one of the things (the username) that someone
> needs to know in order to compromise an account on the system, so
> two-factor auth is now reduced to one-factor.

Oh wow. When you are *that* clueless, it just makes anything you could
say about security void.

> and more complicated options like setting a timed or automatic login
> (useful e.g. for setting up an "appliance" like a mythtv frontend, to
> have it auto-login to the mythtv user) will be essentially impossible
> for the avg user.

Oh? I thought you had a look at the configuration application, since you
complained about it. Apparently not.

> and HTF do you change the background image and "theme" for the login
> screen? i can't figure it out, nor do i want to have to spend hours
> hunting for a hint in the woefully incomplete and generally abysmal
> quality gnome documentation.

It’s in the same file you already modified.

> all of these options and more are easily available and *OBVIOUS* in the
> old gdm Login Window preferences dialog. and completely missing from the
> gdm3 dialog.  WTF?

Sorry but I don’t consider the old gdm configuration dialog as a model
of intuitiveness and good UI.

> upgrades are supposed to bring *improvements*, not massive regressions.

Shit happens. But overall gdm3 is a huge improvement, especially in
terms of a11y. I feel it’s more important that pleasing a pair of
whiners with the shape of the configuration dialog.

> OK, the actual issues here are Gnome's fault but prematurely removing
> gdm from debian is debian's fault.

Prematurely? Are you aware that we kept it in Debian for longer than any
other distribution, and that it is still here for 3 years, the lifetime
of squeeze?

> (and yes, i am annoyed...but my annoyance is with the Gnome devs who
> seem determined to take what WAS shaping up to be a good desktop
> environment and turning it into a steaming turd. debian can and should
> be making more of an effort to insulate users from dumb upstream
> decisions)

If you have enough time to spend on Debian to fork upstream software,
please go ahead.

Otherwise, please stop hijacking closed bugs and waste people’s time.

Kthxbye,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'  “If you behave this way because you are blackmailed by someone,
  `-    […] I will see what I can do for you.”  -- Jörg Schilling

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Mon, 14 Mar 2011 21:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Sanders <cas@taz.net.au>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 14 Mar 2011 21:24:08 GMT) Full text and rfc822 format available.

Message #66 received at 613491@bugs.debian.org (full text, mbox):

From: Craig Sanders <cas@taz.net.au>
To: 613491@bugs.debian.org
Subject: Re: removal of gdm was a huge mistake
Date: Tue, 15 Mar 2011 08:22:30 +1100
On Sun, Mar 13, 2011 at 11:47:48PM +0100, Josselin Mouette wrote:
> On dim., 2011-03-13 at 18:34 +1100, Craig Sanders wrote: 
> > reopen 613491
> 
> First of all, note that the next time you do that, I will request
> blacklisting for your address on the BTS email gateway.

WTF for?

silly me for thinking that if the BTS has a reopen bug command that
it is permissible to actually use it.

it's now somehow a crime to reopen a bug?

or is it just expressing an opinion that you disagree with that is
forbidden?  


thank you for reminding me why i have almost no motivation to do any
debian-related work any more.

and don't you feel left out - you can take comfort in the fact
that, at long last, you've performed some minor useful act in your
miserable life.


> > even figuring out something simple, like how to disable the
> > privacy-infringing & security-reducing user list(*) on the
> > login screen is beyond the average user that the cretinous
> > over-simplification trend of gnome "improvements" is supposed
> > to cater for.  How many of them are going to figure out that
> > you need to edit /etc/gdm3/greeter.gconf-defaults and add
> > "/apps/gdm/simple-greeter/disable_user_list true"?
> 
> Apparently you found out.

yeah, and it took about fifteen minutes of stuffing around.

i'm far more skilled than an average end-user - you know, the kind of
person that gnome's "simplicity" is supposed to be catering for. if
it takes me that long, it's going to be impossible for them, because
they're not going to have any idea of even where to start looking.

> Feel free to provide documentation improvements to the gdm3 package.

feel free to go pull your head out of your arse.

> However all the keys you complain about are already listed in the
> configuration file, for which there is a pointer in README.Debian.

listing some commented-out registry keys is NOT documentation. neither
is referring to the XML-like gdm.schemas file.

and where has the '[servers]' section (or equivalent) from the old
gdm.conf file gone? how can i run multiple login screens on different
VTs in gdm3....this is something i've been doing for years with the old
gdm (and years more before that with xdm), but seems to be completely
missing from gdm3.

from the old gdm.conf:

# Note that to disable servers defined in the GDM System Defaults
# configuration file (such as 0=Standard, you must put a line in this file
# that says 0=inactive, as described in the Configuration section of the GDM
# documentation.
#
[servers]
0=Standard
1=Standard

note the difference - there are comments documenting how it works and
referring to further documentation.

gdm3's daemon.conf has only one human-readable comment:

# GDM configuration storage
#
# See /usr/share/gdm/gdm.schemas for a list of available options.
# Some settings can also be configured using the gdmsetup tool.


and, as noted above, referring to an XML-like gdm.schemas file is NOT
documentation.



> > (*) the fact that Apple does it with Mac OS X and Microsoft does it
> > with Windows does not make it a good idea or worthy of copying as the
> > default. it takes away one of the things (the username) that someone
> > needs to know in order to compromise an account on the system, so
> > two-factor auth is now reduced to one-factor.
> 
> Oh wow. When you are *that* clueless, it just makes anything you could
> say about security void.

you're really claiming that removing the need to know the login name as 
well as the password is NOT a net loss in security?  that listing
the names of all users on the system does not compromise their privacy?

i think you're the one that has just invalidated any claim to have any
credibility about security practices.


> > and more complicated options like setting a timed or automatic login
> > (useful e.g. for setting up an "appliance" like a mythtv frontend, to
> > have it auto-login to the mythtv user) will be essentially impossible
> > for the avg user.
> 
> Oh? I thought you had a look at the configuration application, since you
> complained about it. Apparently not.

i looked at it last week when i built a new system for someone and
discovered that gdm was no longer available.

IIRC, the gdm3 config dialog only had two options on it. and no, i can't
recall exacly what they were, nor do i wish to install gdm3 on my own
system to remind myself.

.....OK..... i've just run gdmsetup after 'ssh -X' into the machine in
question. turns out i was wrong on the autologin thing. it turns out
that it is the *ONLY* option available - a choice between having a login
screen or auto-login.

the old gdmsetup had six tabs (General, Local, Remote, Accessibility,
Security, and Users) with several options on each.

so gdm3 removes ALL but the least-likely to be used option from the
config dialog, removes all useful comments from the configuration files
and neglects to document anything.

i can really see why you claim that gdm3 is an improvement, worthy of
replacing the old gdm.

> > and HTF do you change the background image and "theme" for the login
> > screen? i can't figure it out, nor do i want to have to spend hours
> > hunting for a hint in the woefully incomplete and generally abysmal
> > quality gnome documentation.
> 
> It???s in the same file you already modified.

but obviously so obscure that you can't actually say what it is in
response to a direct question - or do you just get off on the option to
be smugly condescending?

setting the bg image filename is obvious, but where's the documentation
that names and describes the options in /desktop/gnome/background/picture_options, 
or lists the themes available for /desktop/gnome/interface/gtk_theme, or
describes what directory /apps/gdm/simple-greeter/logo_icon_name looks in (or
even what that option is actually for).

a commented out list, probably incomplete, of option names is not
documentation. at best, it's a memory-jogger for people who already know
the things that *should* be in documentation.



> > all of these options and more are easily available and *OBVIOUS* in
> > the old gdm Login Window preferences dialog. and completely missing
> > from the gdm3 dialog.  WTF?
>
> Sorry but I don???t consider the old gdm configuration dialog as a
> model of intuitiveness and good UI.

who gives a damn whether it's *intuitive* or not? that's a bullshit and
entirely subjective concept anyway.

the problem with the gdm3 dialog is NOT that it's "not intuitive", it's
that all but ONE of the configuration options are missing.



> > upgrades are supposed to bring *improvements*, not massive regressions.
> 
> Shit happens. 

yes, it does.  and "shit" is a perfect description of gdm3.

> But overall gdm3 is a huge improvement, especially in
> terms of a11y. 

what exactly is improved with gdm3? removing features from gdm is an
improvement only in the same sense that amputation of perfectly healthy
limbs would improve a person - i.e. not at all.

and that, no doubt, explains your reference to accesibility - it's so
much easier to just cripple everyone.


> I feel it???s more important that pleasing a pair of
> whiners with the shape of the configuration dialog.

it's not about "shape" (or appearance or intuitiveness or prettiness or
whatever you want to call it), it's about lack of functionality - in
particular missing features that WERE in the previous version.


> > OK, the actual issues here are Gnome's fault but prematurely removing
> > gdm from debian is debian's fault.
> 
> Prematurely? Are you aware that we kept it in Debian for longer than any
> other distribution, and that it is still here for 3 years, the lifetime
> of squeeze?

yes, prematurely.   the time to remove it would be when gdm3 implements
at least a reasonable subset of gdm's features - not just one of them.

are you aware that gdm still works?  and doesn't conflict with any other
gnome components currently in sid.

or that people use both testing and sid?




> Otherwise, please stop hijacking closed bugs and waste people???s time.

"hijacking"?

i'm commenting on a decision that was made, and doing so IN the relevant
existing bug report.

that's somehow "hijacking"?


craig

-- 
craig sanders <cas@taz.net.au>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Tue, 15 Mar 2011 08:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 15 Mar 2011 08:30:05 GMT) Full text and rfc822 format available.

Message #71 received at 613491@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Craig Sanders <cas@taz.net.au>, 613491@bugs.debian.org
Subject: Re: Bug#613491: removal of gdm was a huge mistake
Date: Tue, 15 Mar 2011 09:27:33 +0100
Hi!

Am 14.03.2011 22:22, schrieb Craig Sanders:

>> First of all, note that the next time you do that, I will request
>> blacklisting for your address on the BTS email gateway.
> WTF for?

As repeatedly said:
1) The package has currently no maintainer.
2) The package is no longer developed upstream.
3) The package was buggy.
4) Therefore the maintainer requests its removal.
5) Therefore they filles this is a bug against ftp.debian.org.
6) ftp.debian.org has nothing to do with the maintenance of the package.
7) Therefore reopening it will do nothing to bring the package back, but
instead annoy the ftp-team, which is bound to read your stuff.

The ftp-team won't make the package magically reappear in the archive.
It has already been pointed out, that if you want to have that package
back, you need to become upstream developer and maintainer. Apparently
the old maintainers don't want to upload it back. Please either do that,
be quiet or if can't do that, discuss that matter elsewhere.

Best regards,
  Alexander, ftp-assistant




Information stored :
Bug#613491; Package ftp.debian.org. (Tue, 15 Mar 2011 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to joss@debian.org:
Extra info received and filed, but not forwarded. (Tue, 15 Mar 2011 10:39:03 GMT) Full text and rfc822 format available.

Message #76 received at 613491-quiet@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Craig Sanders <cas@taz.net.au>
Cc: 613491-quiet@bugs.debian.org
Subject: Re: removal of gdm was a huge mistake
Date: Tue, 15 Mar 2011 11:34:50 +0100
Le mardi 15 mars 2011 à 08:22 +1100, Craig Sanders a écrit : 
> On Sun, Mar 13, 2011 at 11:47:48PM +0100, Josselin Mouette wrote:
> > First of all, note that the next time you do that, I will request
> > blacklisting for your address on the BTS email gateway.
> 
> WTF for?

For abusing the BTS.

> thank you for reminding me why i have almost no motivation to do any
> debian-related work any more.
> 
> and don't you feel left out - you can take comfort in the fact
> that, at long last, you've performed some minor useful act in your
> miserable life.

Thank you for sharing your frustrations about life, but the BTS is not a
psychotherapy.

> > Apparently you found out.
> 
> yeah, and it took about fifteen minutes of stuffing around.
> 
> i'm far more skilled than an average end-user - you know, the kind of
> person that gnome's "simplicity" is supposed to be catering for. if
> it takes me that long, it's going to be impossible for them, because
> they're not going to have any idea of even where to start looking.

I’m sorry if the changes in gdm3 don’t please you, but you’re not really
the kind of user we’re interested in anyway.

> > Feel free to provide documentation improvements to the gdm3 package.
> 
> feel free to go pull your head out of your arse.

No, sir. YOU pull your head out of your bottom. I am not willing to do
this job. I am not at your service. So either you do it, you pay someone
to do it, or you STFU.

> and where has the '[servers]' section (or equivalent) from the old
> gdm.conf file gone? how can i run multiple login screens on different
> VTs in gdm3....this is something i've been doing for years with the old
> gdm (and years more before that with xdm), but seems to be completely
> missing from gdm3.

Indeed. This functionality has been completely useless since the
introduction of flexible X servers.

> > Oh wow. When you are *that* clueless, it just makes anything you could
> > say about security void.
[snip] 
> i think you're the one that has just invalidated any claim to have any
> credibility about security practices.

J???rg Schilling, is that you? Same absence of Unicode-aware email
client, same kindergarten way to return any criticism to the one who
formulated it. If you’re not an alias, you have to be a clone.

> and that, no doubt, explains your reference to accesibility - it's so
> much easier to just cripple everyone.

It is good for you that you don’t need any kind of accessibility support
in applications. If everyone was in your situation, designing software
would be easier but I happen to think free software should be for
everyone.

> > Prematurely? Are you aware that we kept it in Debian for longer than any
> > other distribution, and that it is still here for 3 years, the lifetime
> > of squeeze?
> 
> yes, prematurely.   the time to remove it would be when gdm3 implements
> at least a reasonable subset of gdm's features - not just one of them.

No, sir. The time to remove it is when we don’t want to maintain it
anymore. Period. You can easily revert this decision by taking over
upstream and Debian maintenance for this package.

Cheers,
-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#613491; Package ftp.debian.org. (Thu, 24 Mar 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 24 Mar 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #81 received at 613491@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 613491@bugs.debian.org
Cc: Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>, Craig Sanders <cas@taz.net.au>
Subject: Bug#613491 (gdm vs gdm3): Releasing the FTP team from its burden
Date: Thu, 24 Mar 2011 18:06:13 +0100
reassign  613491 wnpp
retitle   613491 RFP: gdm -- Previous generation GNOME Display Manager
submitter 613491 Craig Sanders <cas@taz.net.au>
tags	  613491 - moreinfo
severity  613491 wishlist
reopen	  613491
kthxbye

Obviously Craig Sanders wants GDM back, so lets take the burden to
read the discussion about GDM/GDM3 off the FTP team's back and take it
where it belongs to: Work Needing and Prospective Packages.

BTW, I can understand Craig's wish to get the good, old GDM back. GDM3
is a pain.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Bug reassigned from package 'ftp.debian.org' to 'wnpp'. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 17:09:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: gdm -- Previous generation GNOME Display Manager' from 'RM: gdm -- ROM; obsolete; superseded by gdm3' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 17:09:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Craig Sanders <cas@taz.net.au>' from 'Josselin Mouette <joss@debian.org>' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 17:09:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 17:09:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 24 Mar 2011 17:09:08 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Mar 2011 17:09:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:00:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.